Bug Hunting Session
Bug 44669 - Setting "Display Zero Values" and "Value highlighting" without effect for CALC OLE objects VIEWING
Summary: Setting "Display Zero Values" and "Value highlighting" without effect for CAL...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Value-Highlighting
  Show dependency treegraph
 
Reported: 2012-01-11 03:56 UTC by bugzilla
Modified: 2019-05-14 02:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla 2012-01-11 03:56:37 UTC
VIEWING

* What's wrong *

Disabling "Display"-"Zero values" doesn't work on a OLE-spreadsheet included in a writer document. If one double-clicks the sheet object to edit it "Display"-"Zero values" works as set in "Calc" preferences, but when going back to the document in Writer the zero show up again and do so also in printing.

The logical behaviour would be that the viewing of the OLE-obj would follow the setting in Calc -- or that you could at least set this "display zeros" somewhere for the OLE-object. Now it's totally out of user control.


* How to reproduce the bug *

Open Calc. Tools menu - Options ... - LibreOffice Calc - View - Display. Disable "Zero values".

Create a new Writer doc. Insert a OLE object Calc spreadsheet in the Writer doc. Double-click to edit the spreadsheet. Enter a zero in a column. Move to another column and the zero is not visible (according to the setting you just made in Calc). Click outside the OLE-object to go back to Writer doc editing. Now the zero becomes visible.

Thanks for helping making LibreOffice a even more wonderful tool! Don't hesitate to contact me could you not reproduce the bug on your system.
Comment 1 Rainer Bielefeld Retired 2012-01-11 11:05:22 UTC
[Reproducible] with Parallel Dev-Installation of  "LibreOffice 3.5.0 Beta2- WIN7 Home Premium (64bit) German UI [Build-ID : 8589e48-760cc4d-f39cf3d-1b2857e-60db978] 
Also 'Value Highlighting' does not work for spreadsheet OLE objects in DRAW, WRITER, IMPRESS.

Old effect, also in OOo 3.1.1

I wonder whether that might be intended? At least the value highlighting is more an editing tool, I doubt that that effect will be desired for OLE objects.

@bugzilla@a-x.name
Please contribute information concerning your Operating System!

@Kohei:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 2 bugzilla 2012-01-12 04:09:58 UTC
Hi,

It depends on how you see it of course. But if you for example (like I) have an invoice in a Calc sheet, and you place this in a Writer doc, displaying zeros everywhere where there is a formula that equals 0 doesn't give the look you want to share with you customers.

I'm not the right person to say if it's illogical that the Calc viewing options propagates to the OLE obj in Writer -- but it's my standpoint that this is a big problem for anyone who wants to use a Calc sheet with formulas in a Writer doc.

It would be good if there were some way to choose not to display the zeros. Maybe as a setting in Writer?
Comment 3 QA Administrators 2015-02-19 15:47:34 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-08 18:08:44 UTC
Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 5 tommy27 2016-04-16 07:25:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 6 QA Administrators 2019-05-14 02:54:55 UTC
Dear bugzilla,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug